Certified Miner Data

Summary

This endpoint takes an address as input and returns success if there is a valid certificate of a miner who uses this address to receive coins.

The body of a successful response contains the miner name, miner (Bitcoin) address, miner country, certificate ID, and certificate validity dates.

Restrictions and Assumptions

Only native SegWit P2PKH mainnet addresses are allowed. These start with the characters bc1q...

We assume that miners re-use the same address to receive all of their freshly mined coins.


Endpoint

Certified Miner Data

get
Authorizations
X-API-KeystringRequired
Path parameters
addressstringRequiredExample: bcrt1qud948h8hqem5e0pvlcnep8gsp348v99fwrc5se
Responses
chevron-right
200

Successful Response

application/json
namestringRequiredExample: GreenTech Mining Co.
addressstringRequiredExample: bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh
locationstringRequiredExample: US
certificate_idstringRequiredExample: BTC-CL-12345678
certificate_valid_fromstring · date-timeRequiredExample: 2024-01-15T12:30:00Z
certificate_valid_untilstring · date-timeRequiredExample: 2024-07-15T14:30:00Z
get
/v1/certified_miners/{address}

Last updated